console.log("I am running");

/***************************************************************
Chrome Extension: Implements the chrome extension
***************************************************************/

var ChromeExt = function() {

    function hdrFind(hdrs, name) {
        name = name.toLowerCase();
        return hdrs.find(function(el) { return el.name.toLowerCase() === name; });
    };
    
    var myActiveReqs = [];
    
    // Header received. Replace header with text/html so that it is run as an html file
    chrome.webRequest.onHeadersReceived.addListener(function(details) {
        var hdr = hdrFind(details.responseHeaders, 'content-type');
        if(!hdr) { return; }
        
        var mime = hdr.value.toLowerCase().split(';',1)[0].trim();
        if(mime != "image/cpi") { return; }
        
        console.log("Test mod start", mime, details);
        hdr.value = "text/html";
        myActiveReqs[details.requestId] = true;
        return { responseHeaders: details.responseHeaders };
        
    }, { urls: ['<all_urls>'], types: ['main_frame', 'sub_frame'] }, ['blocking','responseHeaders']);
    

    // When it completes, run the content script that loads the viewer
    chrome.webRequest.onCompleted.addListener(function(details) {
        if(myActiveReqs[details.requestId]) {
            console.log("Test mod done ", details);
            myActiveReqs[details.requestId] = false;
        }
       
    }, { urls: ['<all_urls>'], types: ['main_frame', 'sub_frame']},[]);

    // An error occured while reading data
    chrome.webRequest.onErrorOccurred.addListener(function(details) {
        console.log("Error", details);
        if(myPendingReqs[details.requestId]) {
            console.log("TEST MOD ERROR: " + details.error, details);
            myActiveReqs[details.requestId] = false;
        }
    }, { urls: ['<all_urls>'], types: ['main_frame', 'sub_frame'] });

};

var me = new ChromeExt();

